Name:           souffle
Version:        2.0.2
Release:        1%{?dist}
Summary:        Datalog logical language variant

License:        UPL
URL:            http://souffle-lang.github.io/
Source0:        https://github.com/souffle-lang/souffle/archive/refs/tags/2.0.2.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  libffi-devel
BuildRequires:  libtool
BuildRequires:  mcpp
BuildRequires:  ncurses-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel
Requires:       gcc-c++

%description
Soufflé is a variant of Datalog for tool designers crafting analyses
in Horn clauses. Soufflé synthesizes a native parallel C++ program
from a logic specification.

%prep
%autosetup


%build
./bootstrap
%configure
%make_build


%install
%make_install


%files
%license LICENSE licenses/*
%{_bindir}/souffle
%{_bindir}/souffle-compile
%{_bindir}/souffle-config
%{_bindir}/souffle-profile
%{_includedir}/souffle/BinaryConstraintOps.h
%{_includedir}/souffle/CompiledOptions.h
%{_includedir}/souffle/CompiledSouffle.h
%{_includedir}/souffle/CompiledTuple.h
%{_includedir}/souffle/RamTypes.h
%{_includedir}/souffle/RecordTable.h
%{_includedir}/souffle/SignalHandler.h
%{_includedir}/souffle/SouffleInterface.h
%{_includedir}/souffle/SymbolTable.h
%{_includedir}/souffle/TypeAttribute.h
%{_includedir}/souffle/datastructure/BTree.h
%{_includedir}/souffle/datastructure/Brie.h
%{_includedir}/souffle/datastructure/EquivalenceRelation.h
%{_includedir}/souffle/datastructure/LambdaBTree.h
%{_includedir}/souffle/datastructure/PiggyList.h
%{_includedir}/souffle/datastructure/Table.h
%{_includedir}/souffle/datastructure/UnionFind.h
%{_includedir}/souffle/io/IOSystem.h
%{_includedir}/souffle/io/ReadStream.h
%{_includedir}/souffle/io/ReadStreamCSV.h
%{_includedir}/souffle/io/ReadStreamJSON.h
%{_includedir}/souffle/io/ReadStreamSQLite.h
%{_includedir}/souffle/io/SerialisationStream.h
%{_includedir}/souffle/io/WriteStream.h
%{_includedir}/souffle/io/WriteStreamCSV.h
%{_includedir}/souffle/io/WriteStreamJSON.h
%{_includedir}/souffle/io/WriteStreamSQLite.h
%{_includedir}/souffle/io/gzfstream.h
%{_includedir}/souffle/profile/Cell.h
%{_includedir}/souffle/profile/CellInterface.h
%{_includedir}/souffle/profile/Cli.h
%{_includedir}/souffle/profile/DataComparator.h
%{_includedir}/souffle/profile/EventProcessor.h
%{_includedir}/souffle/profile/HtmlGenerator.h
%{_includedir}/souffle/profile/Iteration.h
%{_includedir}/souffle/profile/Logger.h
%{_includedir}/souffle/profile/OutputProcessor.h
%{_includedir}/souffle/profile/ProfileDatabase.h
%{_includedir}/souffle/profile/ProfileEvent.h
%{_includedir}/souffle/profile/ProgramRun.h
%{_includedir}/souffle/profile/Reader.h
%{_includedir}/souffle/profile/Relation.h
%{_includedir}/souffle/profile/Row.h
%{_includedir}/souffle/profile/Rule.h
%{_includedir}/souffle/profile/StringUtils.h
%{_includedir}/souffle/profile/Table.h
%{_includedir}/souffle/profile/Tui.h
%{_includedir}/souffle/profile/UserInputReader.h
%{_includedir}/souffle/profile/htmlCssChartist.h
%{_includedir}/souffle/profile/htmlCssStyle.h
%{_includedir}/souffle/profile/htmlJsChartistMin.h
%{_includedir}/souffle/profile/htmlJsChartistPlugin.h
%{_includedir}/souffle/profile/htmlJsMain.h
%{_includedir}/souffle/profile/htmlJsTableSort.h
%{_includedir}/souffle/profile/htmlJsUtil.h
%{_includedir}/souffle/profile/htmlMain.h
%{_includedir}/souffle/provenance/Explain.h
%{_includedir}/souffle/provenance/ExplainProvenance.h
%{_includedir}/souffle/provenance/ExplainProvenanceImpl.h
%{_includedir}/souffle/provenance/ExplainTree.h
%{_includedir}/souffle/swig/SwigInterface.h
%{_includedir}/souffle/swig/SwigInterface.i
%{_includedir}/souffle/utility/CacheUtil.h
%{_includedir}/souffle/utility/ContainerUtil.h
%{_includedir}/souffle/utility/EvaluatorUtil.h
%{_includedir}/souffle/utility/FileUtil.h
%{_includedir}/souffle/utility/FunctionalUtil.h
%{_includedir}/souffle/utility/MiscUtil.h
%{_includedir}/souffle/utility/ParallelUtil.h
%{_includedir}/souffle/utility/StreamUtil.h
%{_includedir}/souffle/utility/StringUtil.h
%{_includedir}/souffle/utility/json11.h
%{_includedir}/souffle/utility/tinyformat.h
%{_datadir}/bash-completion/completions/souffle
%{_mandir}/man1/souffle-compile.1.gz
%{_mandir}/man1/souffle-config.1.gz
%{_mandir}/man1/souffle-profile.1.gz
%{_mandir}/man1/souffle.1.gz


%changelog
* Tue Apr 27 2021 Jens Petersen <petersen@redhat.com>
- initial packaging
